Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class PropertyViewTable

    java.lang.Object
      ix.iface.util.KeyValueTable
          ix.iface.util.SortingKVTable
              ix.ip2.PropertyViewTable

    public class PropertyViewTable

extends SortingKVTable

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.util.SortingKVTable
`SortingKVTable.KeySortMouseListener, SortingKVTable.KeySortPopupMenu, SortingKVTable.SortMenu`

Nested classes/interfaces inherited from class ix.iface.util.KeyValueTable
`KeyValueTable.LexicographicComparator, KeyValueTable.MostRecentFirstComparator, KeyValueTable.MostRecentLastComparator, KeyValueTable.PatternObjectComparator, KeyValueTable.RowPopupMenu, KeyValueTable.ViewJTable, KeyValueTable.ViewTableModel, KeyValueTable.ViewTableMouseListener`

Field Summary

Fields inherited from class ix.iface.util.KeyValueTable
`keyList, keySortComparator, keyTimestamps, model, mouseListener, table, timestamp, viewedMap`

Constructor Summary
`PropertyViewTable(StateViewTable stateViewer)`

Method Summary
`void` | `deleteEntry(java.lang.Object key, java.lang.Object value)`
`protected void` | `doPopupAction(java.awt.event.ActionEvent event, int row, java.lang.Object key)` Called by the row popup menu to intepret any action command selected from the menu.
`protected java.util.Set` | `getMentionedObjects(java.lang.Object item)`
`protected java.util.Set` | `getRowObjects(int row)`
`protected java.util.Set` | `getRowObjects(java.lang.Object key, java.lang.Object value)`
`protected boolean` | `isObjectName(java.lang.Object name)`
`protected java.lang.String` | `keyToString(java.lang.Object key)`
`protected KeyValueTable.RowPopupMenu` | `makePopupMenu()` Factory method.
`void` | `recordNewValue(java.lang.Object key, java.lang.Object value)`
`void` | `reset()` Empties the table.
`void` | `viewObject(java.lang.Object target)`

Methods inherited from class ix.iface.util.KeyValueTable
`deleteEntry, getJTable, getKeySortComparator, getValue, getViewedMap, insertKey, keyTimestamp, recordNewValues, setKeySortComparator, timestampKey, valueToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyViewTable

    public PropertyViewTable(StateViewTable stateViewer)

Method Detail

### viewObject

    public void viewObject(java.lang.Object target)

### reset

    public void reset()

  Description copied from class: `KeyValueTable`
  Empties the table.

  Overrides:
    `reset` in class `KeyValueTable`

### keyToString

    protected java.lang.String keyToString(java.lang.Object key)

### recordNewValue

    public void recordNewValue(java.lang.Object key,
                               java.lang.Object value)

  Overrides:
    `recordNewValue` in class `KeyValueTable`

### isObjectName

    protected boolean isObjectName(java.lang.Object name)

### deleteEntry

    public void deleteEntry(java.lang.Object key,
                            java.lang.Object value)

  Overrides:
    `deleteEntry` in class `KeyValueTable`

### makePopupMenu

    protected KeyValueTable.RowPopupMenu makePopupMenu()

  Description copied from class: `KeyValueTable`
  Factory method.

  Specified by:
    `makePopupMenu` in class `KeyValueTable`

### getRowObjects

    protected java.util.Set getRowObjects(int row)

### getRowObjects

    protected java.util.Set getRowObjects(java.lang.Object key,
                                          java.lang.Object value)

### getMentionedObjects

    protected java.util.Set getMentionedObjects(java.lang.Object item)

### doPopupAction

    protected void doPopupAction(java.awt.event.ActionEvent event,
                                 int row,
                                 java.lang.Object key)

  Description copied from class: `KeyValueTable`
  Called by the row popup menu to intepret any action command selected from the menu.

  Specified by:
    `doPopupAction` in class `KeyValueTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD